Bug 958015 - (CVE-2013-2029) CVE-2013-2029 Nagios core: Insecure temporary file usage in nagios.upgrade_to_v3.sh
CVE-2013-2029 Nagios core: Insecure temporary file usage in nagios.upgrade_to...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All All
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130430,repor...
: Security
Depends On: 958292 958294 958297 994761 994763 994765
Blocks: 958515
  Show dependency treegraph
 
Reported: 2013-04-30 03:20 EDT by Kurt Seifried
Modified: 2016-04-26 18:58 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: CVE-2013-4214
Environment:
Last Closed: 2014-03-06 21:13:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-04-30 03:20:38 EDT
+++ This bug was initially created as a clone of Bug #958002 +++

+++ This bug was initially created as a clone of Bug #957481 +++

Warning: nagios-3.4.4-1.el6ost/nagios.upgrade_to_v3.sh

    Tempfile is created by using $$ should use mktemp instead.

        tmp1=/tmp/nagioscfg.$$.tmp

--- Additional comment from Kurt Seifried on 2013-04-30 03:19:10 EDT ---

nagios.upgrade_to_v3.sh is not in upstreams files, it's added by Red Hat and several other vendors. So splitting this bug again.
Comment 1 Kurt Seifried 2013-04-30 15:03:02 EDT
This file was first added to the Nagios RPM many years ago. We need to simply change it to:

tmp1=`mktemp /tmp/XXXXXXXX`

or equivalent
Comment 2 Kurt Seifried 2013-04-30 16:35:45 EDT
Created nagios tracking bugs for this issue

Affects: fedora-all [bug 958292]
Comment 3 Kurt Seifried 2013-04-30 16:37:29 EDT
Created nagios tracking bugs for this issue

Affects: epel-6 [bug 958294]
Comment 5 Kurt Seifried 2013-07-04 02:54:10 EDT
Statement:

The Red Hat Security Response Team has rated this issue as having moderate security impact. This issue is not currently planned to be addressed in OpenStack 2.1 (Folsom). For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 6 Fedora Update System 2013-09-15 14:33:09 EDT
nagios-3.5.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Martin Prpic 2013-11-14 12:03:04 EST
Acknowledgements:

This issue was discovered by Grant Murphy of the Red Hat Product Security Team.
Comment 8 errata-xmlrpc 2013-11-18 14:25:50 EST
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1526 https://rhn.redhat.com/errata/RHSA-2013-1526.html

Note You need to log in before you can comment on or make changes to this bug.